var uiIndexCamNumH264Vbr = 0;
var uiIndexModelH264Vbr = 1;
var uiIndexResoH264Vbr = 2;
var uiIndexQualH264Vbr = 3;
var uiIndexFpsH264Vbr = 4;
var uiIndexSceneLocationH264Vbr = 5;
var uiIndexSceneSmartCodingH264Vbr = 6;
var uiIndexSceneIllumNormalH264Vbr = 7;
var uiIndexSceneIllumLowH264Vbr = 8;
var uiIndexSceneMotionNormalH264Vbr = 9;
var uiIndexSceneMotionLowH264Vbr = 10;
var uiIndexSceneIllumNormalHourH264Vbr = 11;
var uiIndexSceneMotionNormalHourH264Vbr = 12;
var uiIndexSceneIllumLowHourH264Vbr = 13;
var uiIndexSceneMotionLowHourH264Vbr = 14;
var uiIndexSceneImageNormalH264Vbr = 15;
var uiIndexSceneImageLowH264Vbr = 16;
var uiIndexAvgKbpsH264Vbr = 17;
var uiIndexMaxKbpsH264Vbr = 18;

function uiInitloadH264Vbr() {
    uiInitH264Vbr('1', camKind_H264Vbr_S2, null);
    uiInitH264Vbr('2', camKind_H264Vbr_4K, null);
    uiInitH264Vbr('3', camKind_H264Vbr_9M, null);
}


function uiInitH264Vbr(no, model, reso) {
    uiSetH264VbrModel(no, model);
    reso = uiSetH264VbrResoValue(no, model, reso);
    var qual = uiSetH264VbrQualIndex(no, null);
    var fps = uiSetH264VbrFpsIndex(no, model, null);
    var location = uiSetH264VbrLocationIndex(no, model, null);
    uiChangeH264VbrSampleImage(no);
    var smartcoding = uiSetH264VbrSmartCoding(no, 1);
    var illumnormal = uiSetH264VbrIllumPercentage(no, null);
    uiChangeH264VbrIllumPercentage(no);
    var motionnormal = uiSetH264VbrIllumMotionNormalPercentage(no, null);
    var motionlow = uiSetH264VbrIllumMotionLowPercentage(no, null);
    uiChangeH264VbrTimeAllocation(no);
    uiChangeH264VbrBitrate(no);
}


function uiChangeH264Vbr(no, modelchange) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var model = objParts[uiIndexModelH264Vbr].selectedIndex;
    var reso = objParts[uiIndexResoH264Vbr].options[objParts[uiIndexResoH264Vbr].selectedIndex].text;
    var qual = Number(objParts[uiIndexQualH264Vbr].options[objParts[uiIndexQualH264Vbr].selectedIndex].value);
    var fps = Number(objParts[uiIndexFpsH264Vbr].options[objParts[uiIndexFpsH264Vbr].selectedIndex].text);
    var smartcoding = (objParts[uiIndexSceneSmartCodingH264Vbr].checked ? 1 : 0);
    var illumnormal = Number(objParts[uiIndexSceneIllumNormalH264Vbr].value);
    var motionnormal = Number(objParts[uiIndexSceneMotionNormalH264Vbr].value);
    var motionlow = Number(objParts[uiIndexSceneMotionLowH264Vbr].value);

    if (1 == modelchange) {
        uiSetH264VbrResoText(no, model, reso);
        uiSetH264VbrQualIndex(no, qual);
        uiSetH264VbrFpsText(no, model, fps);
        uiSetH264VbrLocationIndex(no, model, null);
        uiSetH264VbrSmartCoding(no, smartcoding);
        uiSetH264VbrIllumPercentage(no, illumnormal);
        uiSetH264VbrIllumMotionNormalPercentage(no, motionnormal);
        uiSetH264VbrIllumMotionLowPercentage(no, motionlow);
    }

    uiChangeH264VbrSampleImage(no);
    uiChangeH264VbrIllumPercentage(no);
    uiChangeH264VbrTimeAllocation(no);
    uiChangeH264VbrBitrate(no);

    calcdata();
}



function uiSetH264VbrModel(no, model) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexModelH264Vbr].length = camInfo_H264Vbr.length;
    for (var idx = 0; idx < objParts[uiIndexModelH264Vbr].length; idx++) {
        objParts[uiIndexModelH264Vbr].options[idx].value = idx;
        objParts[uiIndexModelH264Vbr].options[idx].text = camInfo_H264Vbr[idx][0];
    }
    objParts[uiIndexModelH264Vbr].selectedIndex = model;
}


function uiSetH264VbrResoValue(no, model, reso) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexResoH264Vbr].length = camInfo_H264Vbr[model][1].length - 1;
    for (var idx = 0; idx < objParts[uiIndexResoH264Vbr].length; idx++) {
        objParts[uiIndexResoH264Vbr].options[idx].value = idx;
        objParts[uiIndexResoH264Vbr].options[idx].text = resoInfo_H264Vbr[camInfo_H264Vbr[model][1][idx + 1]][resoNameH264Vbr];
    }
    if (null == reso) {
        uiSelectListBoxText(objParts[uiIndexResoH264Vbr], resoInfo_H264Vbr[camInfo_H264Vbr[model][1][0]][0], resoInfo_H264Vbr[camInfo_H264Vbr[model][1][0]][0]);
    } else {
        uiSelectListBoxText(objParts[uiIndexResoH264Vbr], resoInfo_H264Vbr[reso][0], resoInfo_H264Vbr[camInfo_H264Vbr[model][1][0]][0]);
    }

    return Number(objParts[uiIndexResoH264Vbr].options[objParts[uiIndexResoH264Vbr].selectedIndex].value);
}


function uiSetH264VbrResoText(no, model, reso) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexResoH264Vbr].length = camInfo_H264Vbr[model][1].length - 1;
    for (var idx = 0; idx < objParts[uiIndexResoH264Vbr].length; idx++) {
        objParts[uiIndexResoH264Vbr].options[idx].value = idx;
        objParts[uiIndexResoH264Vbr].options[idx].text = resoInfo_H264Vbr[camInfo_H264Vbr[model][1][idx + 1]][resoNameH264Vbr];
    }
    uiSelectListBoxText(objParts[uiIndexResoH264Vbr], reso, resoInfo_H264Vbr[camInfo_H264Vbr[model][1][0]][0]);

    return Number(objParts[uiIndexResoH264Vbr].options[objParts[uiIndexResoH264Vbr].selectedIndex].value);
}


function uiSetH264VbrQualIndex(no, qual) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexQualH264Vbr].length = qualInfo_H264Vbr.length - 1;
    for (var idx = 0; idx < objParts[uiIndexQualH264Vbr].length; idx++) {
        objParts[uiIndexQualH264Vbr].options[idx].value = idx;
        objParts[uiIndexQualH264Vbr].options[idx].text = qualInfo_H264Vbr[idx + 1];
    }
    if (null == qual) {
        uiSelectListBoxValue(objParts[uiIndexQualH264Vbr], qualInfo_H264Vbr[0], qualInfo_H264Vbr[0]);
    } else {
        uiSelectListBoxValue(objParts[uiIndexQualH264Vbr], qual, qualInfo_H264Vbr[0]);
    }

    return Number(objParts[uiIndexQualH264Vbr].options[objParts[uiIndexQualH264Vbr].selectedIndex].value);
}


function uiSetH264VbrFpsIndex(no, model, fps) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexFpsH264Vbr].length = fpsInfo_H264Vbr[model].length - 1;
    for (var idx = 0; idx < objParts[uiIndexFpsH264Vbr].length; idx++) {
        objParts[uiIndexFpsH264Vbr].options[idx].value = idx;
        objParts[uiIndexFpsH264Vbr].options[idx].text = fpsInfo_H264Vbr[model][idx + 1];
    }

    if (null == fps) {
        uiSelectListBoxValue(objParts[uiIndexFpsH264Vbr], fpsInfo_H264Vbr[model][0], fpsInfo_H264Vbr[model][0]);
    } else {
        uiSelectListBoxValue(objParts[uiIndexFpsH264Vbr], fps, fpsInfo_H264Vbr[model][0]);
    }

    return Number(objParts[uiIndexFpsH264Vbr].options[objParts[uiIndexFpsH264Vbr].selectedIndex].value);
}


function uiSetH264VbrFpsText(no, model, fps) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexFpsH264Vbr].length = fpsInfo_H264Vbr[model].length - 1;
    for (var idx = 0; idx < objParts[uiIndexFpsH264Vbr].length; idx++) {
        objParts[uiIndexFpsH264Vbr].options[idx].value = idx;
        objParts[uiIndexFpsH264Vbr].options[idx].text = fpsInfo_H264Vbr[model][idx + 1];
    }

    uiSelectListBoxText(objParts[uiIndexFpsH264Vbr], fps, fpsInfo_H264Vbr[model][fpsInfo_H264Vbr[model][0] + 1]);

    return Number(objParts[uiIndexFpsH264Vbr].options[objParts[uiIndexFpsH264Vbr].selectedIndex].value);
}


function uiSetH264VbrLocationIndex(no, model, location) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexSceneLocationH264Vbr].length = camSceneInfo_H264Vbr[model].length;
    for (var idx = 0; idx < objParts[uiIndexSceneLocationH264Vbr].length; idx++) {
        objParts[uiIndexSceneLocationH264Vbr].options[idx].value = idx;
        objParts[uiIndexSceneLocationH264Vbr].options[idx].text = camSceneInfo_H264Vbr[model][idx][0];
    }
    if (null == location) {
        uiSelectListBoxValue(objParts[uiIndexSceneLocationH264Vbr], 0, 0);
    } else {
        uiSelectListBoxValue(objParts[uiIndexSceneLocationH264Vbr], location, 0);
    }

    return Number(objParts[uiIndexSceneLocationH264Vbr].options[objParts[uiIndexSceneLocationH264Vbr].selectedIndex].value);
}


function uiSetH264VbrSmartCoding(no, smartcodign) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    if (1 == Number(smartcodign)) {
        objParts[uiIndexSceneSmartCodingH264Vbr].checked = true;
    }
    else {
        objParts[uiIndexSceneSmartCodingH264Vbr].checked = false;
    }

    return Number(smartcodign);
}


function uiSetH264VbrIllumPercentage(no, illum) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexSceneIllumNormalH264Vbr].length = camIllumInfo_H264Vbr.length - 1;
    for (var idx = 0; idx < objParts[uiIndexSceneIllumNormalH264Vbr].length; idx++) {
        objParts[uiIndexSceneIllumNormalH264Vbr].options[idx].value = camIllumInfo_H264Vbr[idx + 1];
        objParts[uiIndexSceneIllumNormalH264Vbr].options[idx].text = camIllumInfo_H264Vbr[idx + 1];
    }
    if (null == illum) {
        uiSelectListBoxValue(objParts[uiIndexSceneIllumNormalH264Vbr], camIllumInfo_H264Vbr[0], camIllumInfo_H264Vbr[0]);
    } else {
        uiSelectListBoxValue(objParts[uiIndexSceneIllumNormalH264Vbr], illum, camIllumInfo_H264Vbr[0]);
    }

    var illumlow = 100 - Number(objParts[uiIndexSceneIllumNormalH264Vbr].value);
    objParts[uiIndexSceneIllumLowH264Vbr].value = illumlow;

    return Number(objParts[uiIndexSceneIllumNormalH264Vbr].value);
}


function uiChangeH264VbrIllumPercentage(no) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var illumlow = 100 - Number(objParts[uiIndexSceneIllumNormalH264Vbr].value);
    objParts[uiIndexSceneIllumLowH264Vbr].value = illumlow;

    return Number(objParts[uiIndexSceneLocationH264Vbr].value);
}


function uiSetH264VbrIllumMotionNormalPercentage(no, motion) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexSceneMotionNormalH264Vbr].length = camMotionInfo_H264Vbr.length - 1;
    for (var idx = 0; idx < objParts[uiIndexSceneMotionNormalH264Vbr].length; idx++) {
        objParts[uiIndexSceneMotionNormalH264Vbr].options[idx].value = camMotionInfo_H264Vbr[idx + 1];
        objParts[uiIndexSceneMotionNormalH264Vbr].options[idx].text = camMotionInfo_H264Vbr[idx + 1];
    }
    if (null == motion) {
        uiSelectListBoxValue(objParts[uiIndexSceneMotionNormalH264Vbr], camMotionInfo_H264Vbr[0], camMotionInfo_H264Vbr[0]);
    } else {
        uiSelectListBoxValue(objParts[uiIndexSceneMotionNormalH264Vbr], motion, camMotionInfo_H264Vbr[0]);
    }

    return Number(objParts[uiIndexSceneMotionNormalH264Vbr].value);
}


function uiSetH264VbrIllumMotionLowPercentage(no, motion) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    objParts[uiIndexSceneMotionLowH264Vbr].length = camMotionInfo_H264Vbr.length - 1;
    for (var idx = 0; idx < objParts[uiIndexSceneMotionLowH264Vbr].length; idx++) {
        objParts[uiIndexSceneMotionLowH264Vbr].options[idx].value = camMotionInfo_H264Vbr[idx + 1];
        objParts[uiIndexSceneMotionLowH264Vbr].options[idx].text = camMotionInfo_H264Vbr[idx + 1];
    }
    if (null == motion) {
        uiSelectListBoxValue(objParts[uiIndexSceneMotionLowH264Vbr], camMotionInfo_H264Vbr[0], camMotionInfo_H264Vbr[0]);
    } else {
        uiSelectListBoxValue(objParts[uiIndexSceneMotionLowH264Vbr], motion, camMotionInfo_H264Vbr[0]);
    }

    return Number(objParts[uiIndexSceneMotionLowH264Vbr].value);
}


function uiChangeH264VbrTimeAllocation(no) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var rechours_perday = Number(frmNWDR.selRecHour.options[frmNWDR.selRecHour.selectedIndex].value);
    rechours_perday = Math.round(rechours_perday * 10) / 10;

    var rechours_illum_normal = rechours_perday * (Number(objParts[uiIndexSceneIllumNormalH264Vbr].value) / 100);
    rechours_illum_normal = Math.floor(rechours_illum_normal * 10) / 10;
    objParts[uiIndexSceneIllumNormalHourH264Vbr].innerHTML = rechours_illum_normal + "<br>" + s_txtTimeHour;

    var rechours_illum_low = (rechours_perday - rechours_illum_normal);
    rechours_illum_low = Math.round(rechours_illum_low * 10) / 10;
    objParts[uiIndexSceneIllumLowHourH264Vbr].innerHTML = rechours_illum_low + "<br>" + s_txtTimeHour;

    var rechours_motion_normal = rechours_illum_normal * (Number(objParts[uiIndexSceneMotionNormalH264Vbr].value) / 100);
    rechours_motion_normal = Math.floor(rechours_motion_normal * 10) / 10;
    objParts[uiIndexSceneMotionNormalHourH264Vbr].innerHTML = rechours_motion_normal + "<br>" + s_txtTimeHour;

    var rechours_motion_low = rechours_illum_low * (Number(objParts[uiIndexSceneMotionLowH264Vbr].value) / 100);
    rechours_motion_low = Math.floor(rechours_motion_low * 10) / 10;
    objParts[uiIndexSceneMotionLowHourH264Vbr].innerHTML = rechours_motion_low + "<br>" + s_txtTimeHour;
}


function uiChangeH264VbrSampleImage(no) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var model = objParts[uiIndexModelH264Vbr].selectedIndex;
    var location = Number(objParts[uiIndexSceneLocationH264Vbr].options[objParts[uiIndexSceneLocationH264Vbr].selectedIndex].value);

    objParts[uiIndexSceneImageNormalH264Vbr].src = camSceneInfo_H264Vbr[model][location][1][0];
    objParts[uiIndexSceneImageLowH264Vbr].src = camSceneInfo_H264Vbr[model][location][1][1];
}


function uiPlayMovie(no, illum) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var model = Number(objParts[uiIndexModelH264Vbr].options[objParts[uiIndexModelH264Vbr].selectedIndex].value);
    var location = Number(objParts[uiIndexSceneLocationH264Vbr].options[objParts[uiIndexSceneLocationH264Vbr].selectedIndex].value);

    var movieurl = camSceneInfo_H264Vbr[model][location][2][illum];

    var moviewin = window.open(movieurl, 'movie', 'width=100,height=100');

    var waitCount = 0;
    var waitHandle = setInterval(function() {
        waitCount++;

        if (waitCount == 10) {
            clearInterval(waitHandle);
            if (moviewin) {
                moviewin.close();
            }
        }
    }, 500);
}


function uiChangeH264VbrBitrate(no) {
    var objParts = new Array();

    uiGetH264VbrObject(no, objParts);

    var model = Number(objParts[uiIndexModelH264Vbr].options[objParts[uiIndexModelH264Vbr].selectedIndex].value);
    var reso = Number(objParts[uiIndexResoH264Vbr].options[objParts[uiIndexResoH264Vbr].selectedIndex].value);
    var qual = Number(objParts[uiIndexQualH264Vbr].options[objParts[uiIndexQualH264Vbr].selectedIndex].value);
    var fps = Number(objParts[uiIndexFpsH264Vbr].options[objParts[uiIndexFpsH264Vbr].selectedIndex].value);
    var location = Number(objParts[uiIndexSceneLocationH264Vbr].options[objParts[uiIndexSceneLocationH264Vbr].selectedIndex].value);
    var smartcoding = (true == objParts[uiIndexSceneSmartCodingH264Vbr].checked) ? 1 : 0;
    var illmnormal = Number(objParts[uiIndexSceneIllumNormalH264Vbr].options[objParts[uiIndexSceneIllumNormalH264Vbr].selectedIndex].value);
    var illmlow = Number(objParts[uiIndexSceneIllumLowH264Vbr].value);
    var motionnormal = Number(objParts[uiIndexSceneMotionNormalH264Vbr].options[objParts[uiIndexSceneMotionNormalH264Vbr].selectedIndex].value);
    var motionlow = Number(objParts[uiIndexSceneMotionLowH264Vbr].options[objParts[uiIndexSceneMotionLowH264Vbr].selectedIndex].value);

    var maxBitrate = 0;

    var stilIdx = (0 == smartcoding) ? bitrate_Stil : bitrate_SmartCoding;
    var stilBitrateNormal = camBitrate_H264Vbr[model][location][bitrate_Normal][stilIdx][reso][qual][fps];
    maxBitrate = (0 < illmnormal && 100 > motionnormal && stilBitrateNormal > maxBitrate) ? stilBitrateNormal : maxBitrate;
    var stilBitrateLow = camBitrate_H264Vbr[model][location][bitrate_Low][stilIdx][reso][qual][fps];
    maxBitrate = (0 < illmlow && 100 > motionlow && stilBitrateLow > maxBitrate) ? stilBitrateLow : maxBitrate;

    var moveBitrateNormal = camBitrate_H264Vbr[model][location][bitrate_Normal][bitrate_Motion][reso][qual][fps];
    maxBitrate = (0 < illmnormal && 0 < motionnormal && moveBitrateNormal > maxBitrate) ? moveBitrateNormal : maxBitrate;
    var moveBitrateLow = camBitrate_H264Vbr[model][location][bitrate_Low][bitrate_Motion][reso][qual][fps];
    maxBitrate = (0 < illmlow && 0 < motionlow && moveBitrateLow > maxBitrate) ? moveBitrateLow : maxBitrate;

    if (0 == stilBitrateNormal || 0 == stilBitrateLow || 0 == moveBitrateNormal || 0 == moveBitrateLow) {
        uiSetTextBoxValue(objParts[uiIndexMaxKbpsH264Vbr], "-", 0);
        uiSetTextBoxValue(objParts[uiIndexAvgKbpsH264Vbr], "-", 0);
    }
    else {
        var avgBitrate =
            (
                moveBitrateNormal * (motionnormal / 100) + stilBitrateNormal * (1 - motionnormal / 100)
            ) * (illmnormal / 100)
            +
            (
                moveBitrateLow * (motionlow / 100) + stilBitrateLow * (1 - motionlow / 100)
            )
            * (illmlow / 100);

        uiSetTextBoxValue(objParts[uiIndexMaxKbpsH264Vbr], Math.ceil(maxBitrate), 1);
        uiSetTextBoxValue(objParts[uiIndexAvgKbpsH264Vbr], Math.ceil(avgBitrate), 1);
    }
}


function uiGetH264VbrObject(no, partsObj) {
    switch (no) {
        case '1' :
            partsObj[uiIndexCamNumH264Vbr] = frmNWDR.txtCamNumH264Vbr_1;
            partsObj[uiIndexModelH264Vbr] = frmNWDR.selModelH264Vbr_1;
            partsObj[uiIndexResoH264Vbr] = frmNWDR.selResoH264Vbr_1;
            partsObj[uiIndexQualH264Vbr] = frmNWDR.selQualH264Vbr_1;
            partsObj[uiIndexFpsH264Vbr] = frmNWDR.selFpsH264Vbr_1;
            partsObj[uiIndexSceneLocationH264Vbr] = frmNWDR.selSceneLocationH264Vbr_1;
            partsObj[uiIndexSceneSmartCodingH264Vbr] = frmNWDR.selSceneSmartCodingH264Vbr_1;
            partsObj[uiIndexSceneIllumNormalH264Vbr] = frmNWDR.selSceneIllumNormalH264Vbr_1;
            partsObj[uiIndexSceneIllumLowH264Vbr] = frmNWDR.selSceneIllumLowH264Vbr_1;
            partsObj[uiIndexSceneMotionNormalH264Vbr] = frmNWDR.selSceneMotionNormalH264Vbr_1;
            partsObj[uiIndexSceneMotionLowH264Vbr] = frmNWDR.selSceneMotionLowH264Vbr_1;
            partsObj[uiIndexSceneIllumNormalHourH264Vbr] = txt_s_scene_illum_normal_hour_1;
            partsObj[uiIndexSceneMotionNormalHourH264Vbr] = txt_s_scene_motion_normal_hour_1;
            partsObj[uiIndexSceneIllumLowHourH264Vbr] = txt_s_scene_illum_low_hour_1;
            partsObj[uiIndexSceneMotionLowHourH264Vbr] = txt_s_scene_motion_low_hour_1;
            partsObj[uiIndexSceneImageNormalH264Vbr] = frmNWDR.img_h264vbr_scene_normal_1;
            partsObj[uiIndexSceneImageLowH264Vbr] = frmNWDR.img_h264vbr_scene_low_1;
            partsObj[uiIndexMaxKbpsH264Vbr] = frmNWDR.selMaxKbpsH264Vbr_1;
            partsObj[uiIndexAvgKbpsH264Vbr] = frmNWDR.selAvgKbpsH264Vbr_1;
            break;

        case '2' :
            partsObj[uiIndexCamNumH264Vbr] = frmNWDR.txtCamNumH264Vbr_2;
            partsObj[uiIndexModelH264Vbr] = frmNWDR.selModelH264Vbr_2;
            partsObj[uiIndexResoH264Vbr] = frmNWDR.selResoH264Vbr_2;
            partsObj[uiIndexQualH264Vbr] = frmNWDR.selQualH264Vbr_2;
            partsObj[uiIndexFpsH264Vbr] = frmNWDR.selFpsH264Vbr_2;
            partsObj[uiIndexSceneLocationH264Vbr] = frmNWDR.selSceneLocationH264Vbr_2;
            partsObj[uiIndexSceneSmartCodingH264Vbr] = frmNWDR.selSceneSmartCodingH264Vbr_2;
            partsObj[uiIndexSceneIllumNormalH264Vbr] = frmNWDR.selSceneIllumNormalH264Vbr_2;
            partsObj[uiIndexSceneIllumLowH264Vbr] = frmNWDR.selSceneIllumLowH264Vbr_2;
            partsObj[uiIndexSceneMotionNormalH264Vbr] = frmNWDR.selSceneMotionNormalH264Vbr_2;
            partsObj[uiIndexSceneMotionLowH264Vbr] = frmNWDR.selSceneMotionLowH264Vbr_2;
            partsObj[uiIndexSceneIllumNormalHourH264Vbr] = txt_s_scene_illum_normal_hour_2;
            partsObj[uiIndexSceneMotionNormalHourH264Vbr] = txt_s_scene_motion_normal_hour_2;
            partsObj[uiIndexSceneIllumLowHourH264Vbr] = txt_s_scene_illum_low_hour_2;
            partsObj[uiIndexSceneMotionLowHourH264Vbr] = txt_s_scene_motion_low_hour_2;
            partsObj[uiIndexSceneImageNormalH264Vbr] = frmNWDR.img_h264vbr_scene_normal_2;
            partsObj[uiIndexSceneImageLowH264Vbr] = frmNWDR.img_h264vbr_scene_low_2;
            partsObj[uiIndexMaxKbpsH264Vbr] = frmNWDR.selMaxKbpsH264Vbr_2;
            partsObj[uiIndexAvgKbpsH264Vbr] = frmNWDR.selAvgKbpsH264Vbr_2;
            break;

        case '3' :
            partsObj[uiIndexCamNumH264Vbr] = frmNWDR.txtCamNumH264Vbr_3;
            partsObj[uiIndexModelH264Vbr] = frmNWDR.selModelH264Vbr_3;
            partsObj[uiIndexResoH264Vbr] = frmNWDR.selResoH264Vbr_3;
            partsObj[uiIndexQualH264Vbr] = frmNWDR.selQualH264Vbr_3;
            partsObj[uiIndexFpsH264Vbr] = frmNWDR.selFpsH264Vbr_3;
            partsObj[uiIndexSceneLocationH264Vbr] = frmNWDR.selSceneLocationH264Vbr_3;
            partsObj[uiIndexSceneSmartCodingH264Vbr] = frmNWDR.selSceneSmartCodingH264Vbr_3;
            partsObj[uiIndexSceneIllumNormalH264Vbr] = frmNWDR.selSceneIllumNormalH264Vbr_3;
            partsObj[uiIndexSceneIllumLowH264Vbr] = frmNWDR.selSceneIllumLowH264Vbr_3;
            partsObj[uiIndexSceneMotionNormalH264Vbr] = frmNWDR.selSceneMotionNormalH264Vbr_3;
            partsObj[uiIndexSceneMotionLowH264Vbr] = frmNWDR.selSceneMotionLowH264Vbr_3;
            partsObj[uiIndexSceneIllumNormalHourH264Vbr] = txt_s_scene_illum_normal_hour_3;
            partsObj[uiIndexSceneMotionNormalHourH264Vbr] = txt_s_scene_motion_normal_hour_3;
            partsObj[uiIndexSceneIllumLowHourH264Vbr] = txt_s_scene_illum_low_hour_3;
            partsObj[uiIndexSceneMotionLowHourH264Vbr] = txt_s_scene_motion_low_hour_3;
            partsObj[uiIndexSceneImageNormalH264Vbr] = frmNWDR.img_h264vbr_scene_normal_3;
            partsObj[uiIndexSceneImageLowH264Vbr] = frmNWDR.img_h264vbr_scene_low_3;
            partsObj[uiIndexMaxKbpsH264Vbr] = frmNWDR.selMaxKbpsH264Vbr_3;
            partsObj[uiIndexAvgKbpsH264Vbr] = frmNWDR.selAvgKbpsH264Vbr_3;
            break;
    }
}


function uiSelectListBoxValue(obj, value, defvalue) {
    var listLength = obj.length;
    for (var idx = 0; idx < listLength; idx++) {
        if (value == Number(obj.options[idx].value)) {
            obj.selectedIndex = idx;
            return;
        }
    }

    if (value != defvalue) {
        uiSelectListBoxValue(obj, defvalue, defvalue);
    }
}


function uiSelectListBoxText(obj, text, deftext) {
    var listLength = obj.length;
    for (var idx = 0; idx < listLength; idx++) {
        if (text == obj.options[idx].text) {
            obj.selectedIndex = idx;
            return;
        }
    }

    if (text != deftext) {
        uiSelectListBoxText(obj, deftext, deftext);
    }
}


function uiSetTextBoxValue(obj, value, valid) {
    if (0 == valid) {
        $(obj).removeClass('outputNumStyle');
        $(obj).addClass('outputNumStyleInvalid');
    }
    else
    {
        $(obj).removeClass('outputNumStyleInvalid');
        $(obj).addClass('outputNumStyle');
    }

    obj.value = value;
}

